Closed Bug 954922 Opened 7 years ago Closed 7 years ago

Update to Mozilla 16

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

References

()

Details

Attachments

(3 files, 1 obsolete file)

*** Original post on bio 1489 at 2012-06-06 13:47:00 UTC ***

+++ This bug was initially created as a clone of Bug #954921 (bio 1488) +++

Firefox 16 will be released on 2012-10-09.
Depends on: 954923
Blocks: 955036
*** Original post on bio 1489 at 2012-10-18 14:34:04 UTC ***

Bugs to be ported:
Bio 757252 - Kill nsinstall_win.c
https://bugzilla.mozilla.org/show_bug.cgi?id=757252

Bugs that bitrot us:
Bio 751785 - Make Selection.toString() API use DOMString instead of wstring
https://bugzilla.mozilla.org/show_bug.cgi?id=751785
Attached patch WIP v1 (obsolete) — Splinter Review
*** Original post on bio 1489 as attmnt 1988 at 2012-10-19 00:35:00 UTC ***

Also includes part of:
Bio 757339 - No rule to make target `../../gfx/ots/src/libmozots.a', needed by `libgkmedias.a.desc'. Stop.
https://bugzilla.mozilla.org/show_bug.cgi?id=757339
*** Original post on bio 1489 at 2012-10-19 10:51:58 UTC ***

(In reply to comment #2)
> Created attachment 8353747 [details] [diff] [review] (bio-attmnt 1988) [details]
> WIP v1
> 
> Also includes part of:
> Bio 757339 - No rule to make target `../../gfx/ots/src/libmozots.a', needed by
> `libgkmedias.a.desc'. Stop.
> https://bugzilla.mozilla.org/show_bug.cgi?id=757339

This should really be a port of https://bugzilla.mozilla.org/show_bug.cgi?id=763143
Bio 763143 - Exception: Missing option: -o expandlibs_gen.py nsAutoComplete.o > libxpautocomplete.a.desc
Attached patch Patch v2Splinter Review
*** Original post on bio 1489 as attmnt 1998 at 2012-10-19 22:42:00 UTC ***

Works on Mac (I haven't tried PPC yet).
Comment on attachment 8353747 [details] [diff] [review]
WIP v1

*** Original change on bio 1489 attmnt 1988 at 2012-10-19 22:42:22 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8353747 - Attachment is obsolete: true
*** Original post on bio 1489 as attmnt 1999 at 2012-10-20 17:10:00 UTC ***

This interface was removed by https://bugzilla.mozilla.org/show_bug.cgi?id=761613
Attached patch Untested patchSplinter Review
*** Original post on bio 1489 as attmnt 2001 at 2012-10-21 12:57:00 UTC ***

Windows installers are failing with [1]:
> Usage: StrCpy $(user_var: output) str [maxlen] [startoffset]
> Error in macro InstallOnInitCommon on macroline 152
> Error in script "installer.nsi" on line 87 -- aborting creation process

This looks like:
Bio 765596 - Error in macro InstallOnInitCommon on macroline 152

I'm doing a build to test this now.

[1] http://buildbot.instantbird.org/builders/win32-nightly-default/builds/749/steps/shell_3/logs/stdio
[2] https://bugzilla.mozilla.org/show_bug.cgi?id=765596
*** Original post on bio 1489 at 2012-10-21 23:32:16 UTC ***

(In reply to comment #6)
> Created attachment 8353760 [details] [diff] [review] (bio-attmnt 2001) [details]
> Untested patch
>
> This looks like:
> Bio 765596 - Error in macro InstallOnInitCommon on macroline 152

Committed as http://hg.instantbird.org/instantbird/rev/cd8445156002

Also disable the purplexpcom test on Windows (which is causing a crash)
http://hg.instantbird.org/instantbird/rev/3e6bdc5f695c
Depends on: 955175
*** Original post on bio 1489 at 2012-10-28 23:37:40 UTC ***

As far as I know we've cleaned up everything for the Mozilla 16 update. I'm closing this. If we have other issues, please file new bugs blocking this bug.
Assignee: nobody → florian
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.3
Blocks: 955331
You need to log in before you can comment on or make changes to this bug.